package com.fastest.pass.home.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.home.utils.HomeRoute
import kotlinx.coroutines.flow.MutableStateFlow

class HomeViewModel : ViewModel() {
    private val _router = MutableStateFlow<HomeRoute>(HomeRoute.OpenNoneScreen)
    val router: MutableStateFlow<HomeRoute> = _router

    fun navigateTo(homeRoute: HomeRoute) {
        _router.value = homeRoute
    }
}